module git.cacert.org/cacert-boardvoting

go 1.18

require (
	github.com/Masterminds/sprig/v3 v3.2.2
	github.com/golang-migrate/migrate/v4 v4.15.2
	github.com/google/uuid v1.3.0 // indirect
	github.com/hashicorp/errwrap v1.1.0 // indirect
	github.com/hashicorp/go-multierror v1.1.1 // indirect
	github.com/huandu/xstrings v1.3.2 // indirect
	github.com/imdario/mergo v0.3.12 // indirect
	github.com/jmoiron/sqlx v1.3.5
	github.com/johejo/golang-migrate-extra v0.0.0-20211005021153-c17dd75f8b4a
	github.com/mattn/go-sqlite3 v1.14.12
	github.com/mitchellh/copystructure v1.2.0 // indirect
	github.com/vearutop/statigz v1.1.8
	golang.org/x/crypto v0.0.0-20220507011949-2cf3adece122 // indirect
	gopkg.in/alexcesaro/quotedprintable.v3 v3.0.0-20150716171945-2caba252f4dc // indirect
	gopkg.in/mail.v2 v2.3.1
	gopkg.in/yaml.v2 v2.4.0
)

require (
	github.com/alexedwards/scs/sqlite3store v0.0.0-20220216073957-c252878bcf5a
	github.com/alexedwards/scs/v2 v2.5.0
	github.com/go-chi/chi/v5 v5.0.7
	github.com/go-playground/form/v4 v4.2.0
	github.com/justinas/nosurf v1.1.1
	github.com/lestrrat-go/tcputil v0.0.0-20180223003554-d3c7f98154fb
	github.com/stretchr/testify v1.7.0
	golang.org/x/text v0.3.7
)

require (
	github.com/Masterminds/goutils v1.1.1 // indirect
	github.com/Masterminds/semver/v3 v3.1.1 // indirect
	github.com/andybalholm/brotli v1.0.4 // indirect
	github.com/davecgh/go-spew v1.1.1 // indirect
	github.com/mitchellh/reflectwalk v1.0.2 // indirect
	github.com/pmezard/go-difflib v1.0.0 // indirect
	github.com/shopspring/decimal v1.3.1 // indirect
	github.com/spf13/cast v1.4.1 // indirect
	go.uber.org/atomic v1.9.0 // indirect
	gopkg.in/yaml.v3 v3.0.0-20210107192922-496545a6307b // indirect
)
